Get the cpu affinity of a process

- « pcntl_get_last_error

- pcntl_getpriority »

- PHP Manual
- PCNTL Functions
- Get the cpu affinity of a process

# pcntl_getcpuaffinity

(PHP 8 >= 8.4.0)

pcntl_getcpuaffinity — Get the cpu affinity of a process

### Description

pcntl_getcpuaffinity(?int `$pid` = `null`): bool|array

Retrieve the cpu affinity of the `pid`.

### Parameters

`pid`
  If `null`, the current process ID is used.

### Return Values

Returns the cpu affinity mask of the process, or `false` on failure.

Warning

This function may return Boolean `false`, but may also return a non-Boolean value which evaluates to `false`. Please read the section on Booleans for more information. Use the === operator for testing the return value of this function.

### Errors/Exceptions

A ValueError is thrown when `pid` is an invalid process id or the cpu mask had failed to be created.

If `pid` is a process for which the current user has no allowed permission, a `E_WARNING` is emitted.

### See Also

- pcntl_setcpuaffinity() - Set the cpu affinity of a process